Subject: build systems cannot set default outputs other than "out"

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 28 May 2020 00:02:08 +0200

For the haskell-build-system I want to offer two outputs by default:
"out" and "static".  However, the build system has no way to override
the default as (@ (guix packages) package->bag) passes the package’s
“outputs” value to make-bag.

When the package doesn’t define a value for “outputs”, the default
'("out") is used.  I suggest removing the default value from the
<package> record, so that the build system defaults have a chance.

-- 
Ricardo